Virtual Wans - Get

Retrieves the details of a VirtualWAN.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualWans/{VirtualWANName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

VirtualWANName
path True

string

The name of the VirtualWAN being retrieved.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

VirtualWAN

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

VirtualWANGet

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualWans/wan1?api-version=2026-01-01

Sample response

{
  "name": "wan1",
  "type": "Microsoft.Network/virtualWANs",
  "etag": "w/\\00000000-0000-0000-0000-000000000000\\",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualWANs/wan1",
  "location": "West US",
  "properties": {
    "type": "Basic",
    "disableVpnEncryption": false,
    "provisioningState": "Succeeded",
    "virtualHubs": [
      {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/hub1"
      },
      {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/hub2"
      }
    ],
    "vpnSites": [
      {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/vpnSites/vpnSite1"
      },
      {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/vpnSites/vpnSite2"
      }
    ]
  },
  "tags": {
    "key1": "value1"
  }
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

OfficeTrafficCategory

The office traffic category.

ProvisioningState

Provisioning states of a resource.

SubResource

Reference to another subresource.

VirtualWAN

VirtualWAN Resource.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

OfficeTrafficCategory

The office traffic category.

Value Description
Optimize

Optimize

OptimizeAndAllow

OptimizeAndAllow

All

All

None

None

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

SubResource

Reference to another subresource.

Name Type Description
id

string

Resource ID.

VirtualWAN

VirtualWAN Resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

location

string

Resource location.

name

string

Resource name.

properties.allowBranchToBranchTraffic

boolean

True if branch to branch traffic is allowed.

properties.allowVnetToVnetTraffic

boolean

True if Vnet to Vnet traffic is allowed.

properties.disableVpnEncryption

boolean

Vpn encryption to be disabled or not.

properties.office365LocalBreakoutCategory

OfficeTrafficCategory

The office local breakout category.

properties.provisioningState

ProvisioningState

The provisioning state of the virtual WAN resource.

properties.type

string

The type of the VirtualWAN.

properties.virtualHubs

SubResource[]

List of VirtualHubs in the VirtualWAN.

properties.vpnSites

SubResource[]

List of VpnSites in the VirtualWAN.

tags

object

Resource tags.

type

string

Resource type.